<div class="form-group">

    <mat-card style="max-width: 800px; margin: auto;">
        <mat-card-title>Upload cities</mat-card-title>
        <mat-card-subtitle>Upload Us cities CSV file (https://simplemaps.com/data/us-cities)</mat-card-subtitle>

        <mat-card-content>

            <div *ngIf="file">{{file.name}}</div>
            <div class="status">{{status}}</div>
            <mat-progress-bar *ngIf="uploading" [mode]="uploadProgress == 100 ? 'indeterminate' : 'determinate'" value="uploadProgress"></mat-progress-bar>

        </mat-card-content>

        <mat-card-actions>
            <input type="file" #fileInput accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" [hidden]="true" (change)="handleFileInput($event)">
            <button mat-button (click)="fileInput.click()" [disabled]="uploading">Select File</button>
            <button mat-button color="primary" [disabled]="file == null || uploading" (click)="uploadFile()">Upload</button>
        </mat-card-actions>
    </mat-card>

</div>
<br />